/*
 * $Id: HTMLTemplate.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/08/22
 */
package feat2.template;

import feat2.config.FileLocator;

/**
 * テンプレートのインタフェース。
 * @author SUGIMOTO Ken-ichi
 */
public interface HTMLTemplate {
    /**
     * テンプレートのコピーを返す。
     * このメソッドはスレッドセーフ。
     * @return feat.html.HTMLTagNode
     */
    public HTMLDocument getDocument();

    public String getEncoding();

    public FileLocator getLocation();
}